xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it
Safe Haskell | None

XMonad.Util.Themes

Contents

- Usage

Description

A (hopefully) growing collection of themes for decorated layouts.

Synopsis

- listOfThemes :: [ThemeInfo]
- ppThemeInfo :: ThemeInfo -> String
- xmonadTheme :: ThemeInfo
- smallClean :: ThemeInfo
- robertTheme :: ThemeInfo
- deiflTheme :: ThemeInfo
- oxymor00nTheme :: ThemeInfo
- donaldTheme :: ThemeInfo
- wfarrTheme :: ThemeInfo
- kavonForestTheme :: ThemeInfo
- kavonLakeTheme :: ThemeInfo
- kavonPeacockTheme :: ThemeInfo
- kavonVioGreenTheme :: ThemeInfo
- kavonBluesTheme :: ThemeInfo
- kavonAutumnTheme :: ThemeInfo
- kavonFireTheme :: ThemeInfo
- kavonChristmasTheme :: ThemeInfo
- data ThemeInfo = TI {
  - themeName :: String
  - themeAuthor :: String
  - themeDescription :: String
  - theme :: Theme
  }

# Usage

This module stores some user contributed themes which can be used with decorated layouts (such as Tabbed). (Note that these themes only apply to decorated layouts, such as those found in XMonad.Layout.Tabbed and XMonad.Layout.DecorationMadness; they do not apply to xmonad as a whole.)

If you want to use one of them with one of your decorated layouts, you need to substitute defaultTheme with, for instance, (theme smallClean).

Here is an example:

     import XMonad
     import XMonad.Util.Themes
     import XMonad.Layout.Tabbed

     myLayout = tabbed shrinkText (theme smallClean)

     main = xmonad defaultConfig {layoutHook = myLayout}

If you have a theme you would like to share, adding it to this module is very easy.

You can use `xmonadTheme` or `smallClean` as a template.

At the present time only the `themeName` field is used. But please provide all the other information, which will be used at a later time.

Please, remember to add your theme to the list of exported functions, and to the `listOfThemes`.

Thanks for your contribution!

listOfThemes :: [ThemeInfo]Source

ppThemeInfo :: ThemeInfo -> String Source

xmonadTheme :: ThemeInfo Source

The default xmonad theme, by David Roundy.

smallClean :: ThemeInfo Source

Small decorations with a Ion3 remembrance, by Andrea Rossato.

robertTheme :: ThemeInfo Source

Ffrom Robert Manea's prompt theme.

deiflTheme :: ThemeInfo Source

deifl's Theme, by deifl.

oxymor00nTheme :: ThemeInfo Source

oxymor00n's theme, by Tom Rauchenwald.

donaldTheme :: ThemeInfo Source

Don's preferred colors - from DynamicLog...;)

wfarrTheme :: ThemeInfo Source

kavonForestTheme :: ThemeInfo Source

Forest colours, by Kathryn Andersen

kavonLakeTheme :: ThemeInfo Source

Lake (blue/green) colours, by Kathryn Andersen

kavonPeacockTheme :: ThemeInfo Source

Peacock colours, by Kathryn Andersen

kavonVioGreenTheme :: ThemeInfo Source

Violet-Green colours, by Kathryn Andersen

kavonBluesTheme :: ThemeInfo Source

Blue colours, by Kathryn Andersen

kavonAutumnTheme :: ThemeInfo Source

Autumn colours, by Kathryn Andersen

kavonFireTheme :: ThemeInfo Source

Fire colours, by Kathryn Andersen

kavonChristmasTheme :: ThemeInfo Source

Christmas colours, by Kathryn Andersen

data ThemeInfo Source

Constructors

TI |

Fields

themeName :: String
themeAuthor :: String
themeDescription :: String
theme :: Theme